FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 04-02-2008, 02:10 AM
Gregory Shearman
 
Default * Nvidia drivers

James wrote:

> Volker Armin Hemmann <volker.armin.hemmann <at> tu-clausthal.de> writes:
>
>
>> > NV11 [GeForce2 MX/MX 400] && NV34 [GeForce FX 5200]
>
>> that is not true. Both cards are still supported by nvidia drivers.
>
>
>> The FX card ist even supported by the latest drivers!
> Yep I got this one(FX 5200) working with the lastest driver.
>
>
>
>> The Gf2 based ones are supported by the 7186 drivers - which are even in
>> portage.
>
>
> Hmmm,
> I'm using 2.6.24-gentoo-r3.
>
> Emerging (1 of 1) x11-drivers/nvidia-drivers-71.86.01
> <snip>
> *** Unable to determine the target kernel version. ***
>
> make: *** [select_makefile] Error 1
> *
> * ERROR: x11-drivers/nvidia-drivers-71.86.01 failed.
> * Call stack:
> * ebuild.sh, line 49: Called src_compile
> * environment, line 3558: Called linux-mod_src_compile
> * environment, line 2624: Called die
> * The specific snippet of code:
> * emake HOSTCC="$(tc-getBUILD_CC)" CC="$(get-KERNEL_CC)"
> LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS}
> ${BUILD_TARGETS} || die "Unable to make ${BUILD_FIXES} ${BUILD_PARAMS}
> ${BUILD_TARGETS}.";
> * The die message:
> * Unable to make IGNORE_CC_MISMATCH=yes V=1 SYSSRC=/usr/src/linux
> SYSOUT=/lib/modules/2.6.24-gentoo-r3/build clean module.
>
>
> I've never seen this before....
> " Depending on where and how the kernel sources (or the
> kernel headers) were installed, you may need to specify
> their location with the SYSSRC environment variable or
> the equivalent nvidia-installer command line option."
>
> So where/how do I set the SYSSRC variable?
>
> Or is something else wrong?

I had the same problem going from 2.6.23-gentoo-r9 to 2.6.24-gentoo-r3 using
the legacy nvida 96.43.01 driver. The masked 96,43.05 driver works on the new
kernel,but it is unstable on my old Geforce MX 440 card.

What I did discover was a nasty hack to get the old driver to recognise the
new kernel version:

# ln -s */usr/src/linux/include/asm-x86 /usr/src/linux/include/asm-i386

( This assumes that /usr/src/linux points to the new kernel 2.6.24-gentoo-r3)

It looks like the kernel devs are trying to update references to the include
asm files and the nvidia devs are yet to catch up. Maybe one day nvidia will
release its driver specs and save itself a lot of trouble and money building
catchup linux drivers. Maybe hell will also freeze over on that day.

Hope this helps.

--
Regards,

Gregory.
--
gentoo-user@lists.gentoo.org mailing list
 

Thread Tools




All times are GMT. The time now is 09:41 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org